Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.cglib
Class ProxyFactoryFactoryImpl

    java.lang.Object
      org.hibernate.bytecode.cglib.ProxyFactoryFactoryImpl

All Implemented Interfaces:
  ProxyFactoryFactory

    public class ProxyFactoryFactoryImpl

extends Object
implements ProxyFactoryFactory

A factory for CGLIB-based `ProxyFactory` instances.

Author:
  Steve Ebersole

Nested Class Summary
`static class` | `ProxyFactoryFactoryImpl.BasicProxyFactoryImpl`

Constructor Summary
`ProxyFactoryFactoryImpl()`

Method Summary
`BasicProxyFactory` | `buildBasicProxyFactory(Class superClass, Class[] interfaces)` Build a proxy factory for basic proxy concerns.
`ProxyFactory` | `buildProxyFactory()` Builds a CGLIB-based proxy factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyFactoryFactoryImpl

    public ProxyFactoryFactoryImpl()

Method Detail

### buildProxyFactory

    public ProxyFactory buildProxyFactory()

  Builds a CGLIB-based proxy factory.

  Specified by:
    `buildProxyFactory` in interface `ProxyFactoryFactory`
  Returns:
    a new CGLIB-based proxy factory.

### buildBasicProxyFactory

    public BasicProxyFactory buildBasicProxyFactory(Class superClass,
                                                    Class[] interfaces)

  Description copied from interface: `ProxyFactoryFactory`
  Build a proxy factory for basic proxy concerns. The return should be capable of properly handling newInstance() calls.

  Should build basic proxies essentially equivalent to JDK proxies in terms of capabilities, but should be able to deal with abstract super classes in addition to proxy interfaces.

  Must pass in either superClass or interfaces (or both).

  Specified by:
    `buildBasicProxyFactory` in interface `ProxyFactoryFactory`
  Parameters:
    `superClass` - The abstract super class (or null if none).
    `interfaces` - Interfaces to be proxied (or null if none).
  Returns:
    The proxy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD